//
//  ckTZPickerControl.h
//  CKs Time Zone Picker
//
//  Created by C.K. Haun on 3/27/14.
//  Copyright (c) 2014 Ravenware Industries LLC. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ckTimeZoneListBundle.h"

@interface ckTZPickerControl : UIPickerView <UIPickerViewDelegate, UIPickerViewDataSource>{

    ckTimeZoneListBundle *zonesBundle;
    NSInteger currentArea;
    NSInteger currentCity;
    ckTimeZoneListElement *currentElement;
}
@property     NSArray *zones;
@property (nonatomic,assign) NSInteger currentArea;
@property (nonatomic,assign) NSInteger currentCity;
@property (nonatomic,assign)    BOOL elementChanged;

@property (nonatomic,retain)    ckTimeZoneListBundle *zonesBundle;
@property (nonatomic,retain )     ckTimeZoneListElement *currentElement;

-(void)setZoneValueByValues:(NSInteger)area andZone:(NSInteger)city;
-(void)setZoneValueByElement:(ckTimeZoneListElement *)element;

-(NSString *)getCurrentZoneString;


@end
